Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.resources.client
Annotation Type GwtCreateResource.ClassType

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public static @interface GwtCreateResource.ClassType

This annotation can be applied to the resource getter method in order to call `GWT.create` with a class literal other than that of the return type parameterization. This annotation would be used with RPC endpoints:

    @ClassType(Service.class)
     GwtCreateResource<ServiceAsync> rpc();

Required Element Summary
`java.lang.Class<?>` | `value`

Element Detail

### value

    public abstract java.lang.Class<?> value

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT